Subject: Re: WARNING: at net/ipv4/af_inet.c:155 inet_sock_destruct+0x122/0x13a()

From: Eric Dumazet <[email-masked]>
Date: Tue, 04 Aug 2009 08:18:34 +0200

David Miller a écrit :
> From: John Dykstra <[email-masked]>
> Date: Mon, 03 Aug 2009 19:38:01 -0500
> 
>> There's a good chance e51a67a9c8a2ea5c563f8c2ba6613fe2100ffe67 from the
>> current mainline will fix this problem.
>>
>> Dave, Eric's fix might be a candidate for -stable.  The symptom is
>> usually a WARN, but the impact is significant.
> 
> Hmmm, I'll double-check.  I thought I had submitted this one.
> 
> Thanks for the heads up.

Hmm, I dont see how this patch could solve Tomasz case...
Since commit 2b85a34e911bf483c27cfdd124aeb1605145dc80
(net: No more expensive sock_hold()/sock_put() on each tx)
was not part of 2.6.30.4 AFAIK

This is the WARN_ON(sk->sk_forward_alloc) that triggers...

Sounds like a truesize mismatch rather than a sk_refcount one ?